petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMForestGetBaseDM

Get the base DM of a DMForest forest. The forest will be hierarchically refined from the base, and all refinements/coarsenings of the forest will share its base. In general, two forest must share a bse to be comparable, to do things like construct interpolators.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestGetBaseDM(DM dm, DM *base)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

base -the base DM of the forest

### See Also

); DMForestSetBaseDM()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages